| OpenCV 3.4.7 Open Source Computer Vision

Public Member Functions | List of all members
cv::TrackerFeatureSet Class Reference
Tracking API

Class that manages the extraction and selection of features. More...

`#include <opencv2/tracking/tracker.hpp>`

## Public Member Functions
| TrackerFeatureSet ()
| ~TrackerFeatureSet ()
bool | addTrackerFeature (String trackerFeatureType)
| Add TrackerFeature in the collection. Return true if TrackerFeature is added, false otherwise. More...
bool | addTrackerFeature (Ptr< TrackerFeature > &feature)
void | extraction (const std::vector< Mat > &images)
| Extract features from the images collection. More...
const std::vector< Mat > & | getResponses () const
| Get the responses. More...
const std::vector< std::pair< String, Ptr< TrackerFeature > > > & | getTrackerFeature () const
| Get the TrackerFeature collection (TrackerFeature name, TrackerFeature pointer) More...
void | removeOutliers ()
| Remove outliers for all feature types (optional) More...
void | selection ()
| Identify most effective features for all feature types (optional) More...

## Detailed Description

Class that manages the extraction and selection of features.

[178] Feature Extraction and Feature Set Refinement (Feature Processing and Feature Selection). See table I and section III C [120] Appearance modelling -> Visual representation (Table II, section 3.1 - 3.2)

TrackerFeatureSet is an aggregation of TrackerFeature

See also
  TrackerFeature

## Constructor & Destructor Documentation

## § TrackerFeatureSet()

cv::TrackerFeatureSet::TrackerFeatureSet | ( |  | ) |

## § ~TrackerFeatureSet()

cv::TrackerFeatureSet::~TrackerFeatureSet | ( |  | ) |

## Member Function Documentation

## § addTrackerFeature() [1/2]

bool cv::TrackerFeatureSet::addTrackerFeature | ( | String | trackerFeatureType | ) |

Add TrackerFeature in the collection. Return true if TrackerFeature is added, false otherwise.

Parameters

  trackerFeatureType | The TrackerFeature name

The modes available now:

- "HAAR" – Haar Feature-based

The modes that will be available soon:

- "HOG" – Histogram of Oriented Gradients features
- "LBP" – Local Binary Pattern features
- "FEATURE2D" – All types of Feature2D

Example TrackerFeatureSet::addTrackerFeature : :

//sample usage:
Ptr<TrackerFeature> trackerFeature = new TrackerFeatureHAAR( HAARparameters );
featureSet->addTrackerFeature( trackerFeature );
//or add CSC sampler with default parameters
//featureSet->addTrackerFeature( "HAAR" );

Note
  If you use the second method, you must initialize the TrackerFeature

## § addTrackerFeature() [2/2]

bool cv::TrackerFeatureSet::addTrackerFeature | ( | Ptr< TrackerFeature > & | feature | ) |

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

Parameters

  feature | The TrackerFeature class

## § extraction()

void cv::TrackerFeatureSet::extraction | ( | const std::vector< Mat > & | images | ) |

Extract features from the images collection.

Parameters

  images | The input images

## § getResponses()

const std::vector<Mat>& cv::TrackerFeatureSet::getResponses | ( |  | ) | const

Get the responses.

Note
  Be sure to call extraction before getResponses Example TrackerFeatureSet::getResponses : :

## § getTrackerFeature()

const std::vector<std::pair<String, Ptr<TrackerFeature> > >& cv::TrackerFeatureSet::getTrackerFeature | ( |  | ) | const

Get the TrackerFeature collection (TrackerFeature name, TrackerFeature pointer)

## § removeOutliers()

void cv::TrackerFeatureSet::removeOutliers | ( |  | ) |

Remove outliers for all feature types (optional)

## § selection()

void cv::TrackerFeatureSet::selection | ( |  | ) |

Identify most effective features for all feature types (optional)

The documentation for this class was generated from the following file:

- opencv2/tracking/tracker.hpp